## org.hibernate.bytecode.javassist
Class TransformingClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.hibernate.bytecode.javassist.TransformingClassLoader

    public class TransformingClassLoader

extends ClassLoader

Author:
  Steve Ebersole

Method Summary
`protected Class` `findClass(String name)`
`void` `release()`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findClass

    protected Class findClass(String name)
                       throws ClassNotFoundException

  Overrides:
    `findClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

### release

    public void release()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.